%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Mail-SPF-Query
Version:        1.997
Release:        4%{?dist}
Summary:        Mail::SPF::Query Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-SPF-Query/
Source0:        http://www.cpan.org/modules/by-module/Mail/Mail-SPF-Query-1.997.tar.gz
# From Paul Howarth
Patch0:         MSQ-fallback.patch
Patch1:         use-sys-hostname.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Net::DNS) >= 0.46, perl(Net::CIDR::Lite) >= 0.15

%{?_with_check:BuildRequires: perl(Test::Pod::Coverage)}
%{?_with_check:BuildRequires: perl(Net::DNS) >= 0.46}
%{?_with_check:BuildRequires: perl(Net::CIDR::Lite) >= 0.15}

%description
The SPF protocol relies on sender domains to publish a DNS whitelist of
their designated outbound mailers.  Given an envelope sender,
Mail::SPF::Query determines the legitimacy of an SMTP client IP.

%prep
%setup -q -n Mail-SPF-Query-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__perl} -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

# Don't include the spfd and spfquery scripts in _bindir.
rm -f $RPM_BUILD_ROOT%{_bindir}/spfd $RPM_BUILD_ROOT%{_bindir}/spfquery

# Does a lot of external DNS lookups.
%check || :
%{?_with_check:make test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README sample spfd spfquery
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 01 2005 Steven Pritchard <steve@kspei.com> 1.997-4
- Add some BuildRequires (suggested by Paul Howarth)

* Thu Jul 21 2005 Steven Pritchard <steve@kspei.com> 1.997-3
- Force use of Sys::Hostname (instead of Sys::Hostname::Long)

* Mon Jul 18 2005 Steven Pritchard <steve@kspei.com> 1.997-2
- Include MSQ-fallback.patch from Paul Howarth
- Run make test when built with --with check
- Include the spfd and spfquery scripts as %%doc

* Fri Jul 15 2005 Steven Pritchard <steve@kspei.com> 1.997-1
- Specfile autogenerated.
